import sqlite3

class MetaDB:
	def __init__(self, fn):
		self.dbconn = sqlite3.connect(fn)
		self.dbconn.row_factory = sqlite3.Row
		self.dbcurs = self.dbconn.cursor()

	def getAnnotationsForFile(self, fn, anntype):
		self.dbcurs.execute("select * from file_metadata where filename='%s'" % fn)
		res = self.dbcurs.fetchone()
		if res:
			query = "select * from annotations where file_id='%s' and annotation_type='%s'"
			self.dbcurs.execute(query % (res["file_id"], anntype))
			return self.dbcurs.fetchall()
		return None

